Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::delimit_base_fn Struct Reference
Inheritance diagram for ranges::views::delimit_base_fn:

## Public Member Functions
template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
constexpr auto | operator() (I_ &&begin_, Val value) const -> delimit_view< subrange< I, unreachable_sentinel_t >, Val >
template<typename Rng , typename Val >
constexpr auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val >

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename I_ , typename Val , typename I = detail::decay_t<I_>>

constexpr auto ranges::views::delimit_base_fn::operator() | ( | I_ && | begin_,
|  | Val | value
| ) |  | const -> delimit_view<subrange<I, unreachable_sentinel_t>, Val>
| constexpr

Precondition
  requires `(!range<I_>) && convertible_to<I_, I> && input_iterator<I> && semiregular<Val> && equality_comparable_with<Val, iter_reference_t<I>>`

## ◆ operator()() [2/2]

template<typename Rng , typename Val >

constexpr auto ranges::views::delimit_base_fn::operator() | ( | Rng && | rng,
|  | Val | value
| ) |  | const -> delimit_view<all_t<Rng>, Val>
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && semiregular< Val> && equality_comparable_with<Val, range_reference_t<Rng>>`

References ranges::aux::move.